com.buschmais.jqassistant.plugin.java.api.model

## Interface TypeDescriptor

- All Superinterfaces:
    AbstractDescriptor, AccessModifierDescriptor, AnnotatedDescriptor, DependentDescriptor, com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor, JavaDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, PackageMemberDescriptor
  All Known Subinterfaces:
    AnnotationTypeDescriptor, ClassFileDescriptor, ClassTypeDescriptor, EnumTypeDescriptor, InterfaceTypeDescriptor

      @Label(value="Type",
             usingIndexedPropertyOf=com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor.class)
      public interface TypeDescriptor
      extends JavaDescriptor, PackageMemberDescriptor, DependentDescriptor, AnnotatedDescriptor, AccessModifierDescriptor, AbstractDescriptor

  Describes a Java type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `TypeDescriptor.Declares`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FieldDescriptor>` | `getDeclaredFields()` Return the declared fields.
    `List<TypeDescriptor>` | `getDeclaredInnerClasses()` Return the declared inner classes.
    `List<MemberDescriptor>` | `getDeclaredMembers()` Return the declared members, i.e. fields and methods.
    `List<MethodDescriptor>` | `getDeclaredMethods()` Return the declared methods.
    `List<TypeDescriptor>` | `getInterfaces()` Return the implemented interfaces.
    `JavaArtifactFileDescriptor` | `getRequiredBy()`
    `TypeDescriptor` | `getSuperClass()` Return the super class.
    `void` | `setRequiredBy(JavaArtifactFileDescriptor javaArtifact)`
    `void` | `setSuperClass(TypeDescriptor superClass)` Set the super class.

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.FullQualifiedNameDescriptor

      `getFullQualifiedName, setFullQualifiedName`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.DependentDescriptor

      `getDependencies`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AnnotatedDescriptor

      `getAnnotatedBy`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AccessModifierDescriptor

      `getVisibility, isFinal, isStatic, isSynthetic, setFinal, setStatic, setSynthetic, setVisibility`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.java.api.model.AbstractDescriptor

      `isAbstract, setAbstract`

- - ### Method Detail

    - #### getSuperClass

          @Relation(value="EXTENDS")
          TypeDescriptor getSuperClass()

      Return the super class.
      Returns:
        The super class.

    - #### setSuperClass

          void setSuperClass(TypeDescriptor superClass)

      Set the super class.
      Parameters:
        `superClass` - The super class.

    - #### getInterfaces

          @Relation(value="IMPLEMENTS")
          List<TypeDescriptor> getInterfaces()

      Return the implemented interfaces.
      Returns:
        The implemented interfaces.

    - #### getDeclaredMethods

          List<MethodDescriptor> getDeclaredMethods()

      Return the declared methods.
      Returns:
        The declared methods.

    - #### getDeclaredFields

          List<FieldDescriptor> getDeclaredFields()

      Return the declared fields.
      Returns:
        The declared fields.

    - #### getDeclaredMembers

          List<MemberDescriptor> getDeclaredMembers()

      Return the declared members, i.e. fields and methods.
      Returns:
        The declared members.

    - #### getDeclaredInnerClasses

          @Relation(value="DECLARES")
          List<TypeDescriptor> getDeclaredInnerClasses()

      Return the declared inner classes.
      Returns:
        The declared inner classes.

    - #### getRequiredBy

          JavaArtifactFileDescriptor getRequiredBy()

    - #### setRequiredBy

          void setRequiredBy(JavaArtifactFileDescriptor javaArtifact)

Copyright © 2015 buschmais GbR. All rights reserved.